%define upstream_name    RT-Extension-SLA
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Checks if Starts date is not set
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     Module-Install-RTx-destdir.patch
Patch2:     Module-Install-RTx-installdirs.patch

BuildRequires: perl(Business::Hours)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More)
BuildRequires: rt
BuildArch:  noarch

%description
It's not a real action, but container for subclassing which provide help
methods for other actions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
pushd inc
%patch1 -p0 -b .destdir
%patch2 -p0 -b .installdirs
popd

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make INSTALLDIRS=vendor

%check
# Requires RT::Test, which we dont seem to ship
#make test

%install
%makeinstall_std INSTALLDIRS=vendor
rm -Rf %{buildroot}/%{_prefix}/local

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
%doc etc/initialdata


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 372213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 267556
- adding missing buildrequires:
- update to 0.07

* Mon Apr 23 2012 buchan <buchan> 0.50.0-1.mga2
+ Revision: 233127
- BR Module::Install::RTx
- imported package perl-RT-Extension-SLA

